> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omniall.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get result

> Fetch Grok video task status/result.

**Path:** `GET https://api.omniall.ai/v1/videos/{task_id}`

On success the response includes a video URL (`url` / `video.url`).



## OpenAPI

````yaml openapi/grok-video.yaml GET /v1/videos/{task_id}
openapi: 3.1.0
info:
  title: Omniall AI — Grok video
  version: 1.0.0
  description: >-
    Grok Imagine async video create.


    **Path:** `POST https://api.omniall.ai/v1/videos`


    Poll with returned `id` via `GET /v1/videos/{task_id}`.


    Model ids from the [Model Square](https://omniall.ai/pricing). Common:
    `grok-imagine-video-1.5-preview`, `grok-imagine-video`; variants like
    `grok-video-1.5-pro` / `grok-video-1.5-max` may be available on your
    account.


    Auth: `Authorization: Bearer sk-...`
servers:
  - url: https://api.omniall.ai
security: []
paths:
  /v1/videos/{task_id}:
    get:
      tags:
        - Grok video
      summary: Get result
      description: |-
        Fetch Grok video task status/result.

        **Path:** `GET https://api.omniall.ai/v1/videos/{task_id}`

        On success the response includes a video URL (`url` / `video.url`).
      operationId: grokGetVideo
      parameters:
        - name: task_id
          in: path
          required: true
          schema:
            type: string
            example: video_abc123
          description: Task id from create.
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            example: Bearer sk-...
          description: Bearer API key, e.g. `Bearer sk-...`.
      responses:
        '200':
          description: Task status.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  status:
                    type: string
                  progress:
                    type: integer
                  url:
                    type: string
                    description: Result video URL when ready.
                  video:
                    type: object
                    properties:
                      url:
                        type: string
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                      code:
                        type: string
        '401':
          description: Unauthorized
        '404':
          description: Not found

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.